Subject: Re: [PATCH V10 01/15] time: Introduce timekeeping_inject_offset

From: Arnd Bergmann <[email-masked]>
Date: Fri, 28 Jan 2011 13:05:37 +0100

On Friday 28 January 2011, Richard Cochran wrote:
> I would like to get to the bottom of this. Here is what I did:
> 
>    1. Saved your patch to disk in mbox format using Mutt.
>    2. git am
>    3. ... rebase, rebase, rebase, ...
>    4. git format-patch [options] 1234..abcd
>    5. Edit cover letter
>    6. for x in 00*; do mutt -H $x; done
> 
> Git format-patch places the "From: John Stultz <[email-masked]>"
> line with the other mail headers, and so I guess mutt just faithfully
> preserves this.
> 
> I don't like having to remember to fix this manually. There must be a
> better way...

The problem is step 6. The output of git format-patch does not work when
sending with mutt. The easiest solution is to send with git send-email,
which does the same as mutt -H, but gets it right.

	Arnd